<?php
/**
 * Default Values.
 *
 * @package Alok
 */

if ( ! function_exists( 'alok_get_default_theme_options' ) ) :

    /**
     * Get default theme options
     *
     * @since 1.0.0
     *
     * @return array Default theme options.
     */
    function alok_get_default_theme_options() {

        $alok_defaults = array();
        // Options.
        $alok_defaults['logo_width_range']      = 260;
        $alok_defaults['alok_pagination_layout']      = 'numeric';
        $alok_defaults['footer_column_layout']                       = 4;
        $alok_defaults['footer_copyright_text']                      = esc_html__( 'All rights reserved.', 'alok' );
        $alok_defaults['ed_header_search']                           = 1;
        $alok_defaults['ed_image_content_inverse']                   = 0;
        $alok_defaults['twp_navigation_type']                        = 'ajax-next-post-load';
        $alok_defaults['ed_post_author']                             = 1;
        $alok_defaults['ed_post_date']                               = 1;
        $alok_defaults['ed_post_category']                           = 1;
        $alok_defaults['ed_post_tags']                               = 1;
        $alok_defaults['ed_footer_copyright']                        = 1;

        $alok_defaults['header_banner_title']                 = esc_html__('Hello World','alok');
        $alok_defaults['header_banner_description']           = esc_html__('Welcome to WordPress. This is your first post. Edit or delete it, then start writing!','alok');
        $alok_defaults['header_image_opacity']                = 3;

        $alok_defaults['ed_desktop_menu']            = 1;
        $alok_defaults['ed_post_excerpt']            = 1;
        
        // Pass through filter.
        $alok_defaults = apply_filters( 'alok_filter_default_theme_options', $alok_defaults );

        return $alok_defaults;

    }

endif;
