<?php
/**
 * Pagination Settings
 *
 * @package Alok
 */

$alok_default = alok_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'alok_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'alok' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'alok_pagination_layout',
	array(
	'default'           => $alok_default['alok_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'alok_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'alok' ),
	'section'     => 'alok_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','alok'),
		'numeric' => esc_html__('Numeric Method','alok'),
		'load-more' => esc_html__('Ajax Load More Button','alok'),
		'auto-load' => esc_html__('Ajax Auto Load','alok'),
	),
	)
);