<?php
/**
* Sidebar Metabox.
*
* @package Alok
*/
 
add_action( 'add_meta_boxes', 'alok_metabox' );

if( ! function_exists( 'alok_metabox' ) ):


    function  alok_metabox() {
        
        add_meta_box(
            'alok-custom-metabox',
            esc_html__( 'Layout Settings', 'alok' ),
            'alok_post_metafield_callback',
            'post', 
            'normal', 
            'high'
        );
        add_meta_box(
            'alok-custom-metabox',
            esc_html__( 'Layout Settings', 'alok' ),
            'alok_post_metafield_callback',
            'page',
            'normal', 
            'high'
        ); 
    }

endif;

$alok_post_sidebar_fields = array(
    'global-sidebar' => array(
                    'id'        => 'post-global-sidebar',
                    'value' => 'global-sidebar',
                    'label' => esc_html__( 'Global sidebar', 'alok' ),
                ),
    'right-sidebar' => array(
                    'id'        => 'post-left-sidebar',
                    'value' => 'right-sidebar',
                    'label' => esc_html__( 'Right sidebar', 'alok' ),
                ),
    'left-sidebar' => array(
                    'id'        => 'post-right-sidebar',
                    'value'     => 'left-sidebar',
                    'label'     => esc_html__( 'Left sidebar', 'alok' ),
                ),
    'no-sidebar' => array(
                    'id'        => 'post-no-sidebar',
                    'value'     => 'no-sidebar',
                    'label'     => esc_html__( 'No sidebar', 'alok' ),
                ),
);

/**
 * Callback function for post option.
*/
if( ! function_exists( 'alok_post_metafield_callback' ) ):
    
	function alok_post_metafield_callback() {
		global $post, $alok_post_sidebar_fields;
        $post_type = get_post_type($post->ID);
		wp_nonce_field( basename( __FILE__ ), 'alok_post_meta_nonce' ); ?>
        
        <div class="metabox-main-block">

            <div class="metabox-navbar">
                <ul>

                    <li>
                        <a id="metabox-navbar-general" class="metabox-navbar-active" href="javascript:void(0)">

                            <?php esc_html_e('General Settings', 'alok'); ?>

                        </a>
                    </li>

                    <?php if( $post_type == 'post' && class_exists('Booster_Extension_Class') ): ?>
                        <li>
                            <a id="twp-tab-booster" href="javascript:void(0)">

                                <?php esc_html_e('Booster Extension Settings', 'alok'); ?>

                            </a>
                        </li>
                    <?php endif; ?>

                </ul>
            </div>

            <div class="twp-tab-content">

                <div id="metabox-navbar-general-content" class="metabox-content-wrap metabox-content-wrap-active">

                    <div class="metabox-opt-panel">

                        <h3 class="meta-opt-title"><?php esc_html_e('Navigation Setting','alok'); ?></h3>

                        <?php $twp_disable_ajax_load_next_post = esc_attr( get_post_meta($post->ID, 'twp_disable_ajax_load_next_post', true) ); ?>
                        <div class="metabox-opt-wrap metabox-opt-wrap-alt">

                            <label><b><?php esc_html_e( 'Navigation Type','alok' ); ?></b></label>

                            <select name="twp_disable_ajax_load_next_post">

                                <option <?php if( $twp_disable_ajax_load_next_post == '' || $twp_disable_ajax_load_next_post == 'global-layout' ){ echo 'selected'; } ?> value="global-layout"><?php esc_html_e('Global Layout','alok'); ?></option>
                                <option <?php if( $twp_disable_ajax_load_next_post == 'no-navigation' ){ echo 'selected'; } ?> value="no-navigation"><?php esc_html_e('Disable Navigation','alok'); ?></option>
                                <option <?php if( $twp_disable_ajax_load_next_post == 'norma-navigation' ){ echo 'selected'; } ?> value="norma-navigation"><?php esc_html_e('Next Previous Navigation','alok'); ?></option>
                                <option <?php if( $twp_disable_ajax_load_next_post == 'ajax-next-post-load' ){ echo 'selected'; } ?> value="ajax-next-post-load"><?php esc_html_e('Ajax Load Next 3 Posts Contents','alok'); ?></option>

                            </select>

                        </div>
                    </div>

                </div>


                <?php if( $post_type == 'post' && class_exists('Booster_Extension_Class') ):

                    
                    $alok_ed_post_views = esc_html( get_post_meta( $post->ID, 'alok_ed_post_views', true ) );
                    $alok_ed_post_read_time = esc_html( get_post_meta( $post->ID, 'alok_ed_post_read_time', true ) );
                    $alok_ed_post_like_dislike = esc_html( get_post_meta( $post->ID, 'alok_ed_post_like_dislike', true ) );
                    $alok_ed_post_author_box = esc_html( get_post_meta( $post->ID, 'alok_ed_post_author_box', true ) );
                    $alok_ed_post_social_share = esc_html( get_post_meta( $post->ID, 'alok_ed_post_social_share', true ) );
                    $alok_ed_post_reaction = esc_html( get_post_meta( $post->ID, 'alok_ed_post_reaction', true ) );
                    $alok_ed_post_rating = esc_html( get_post_meta( $post->ID, 'alok_ed_post_rating', true ) );
                    ?>

                    <div id="twp-tab-booster-content" class="metabox-content-wrap">

                        <div class="metabox-opt-panel">

                            <h3 class="meta-opt-title"><?php esc_html_e('Booster Extension Plugin Content','alok'); ?></h3>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="alok-ed-post-views" name="alok_ed_post_views" value="1" <?php if( $alok_ed_post_views ){ echo "checked='checked'";} ?>/>
                                <label for="alok-ed-post-views"><?php esc_html_e( 'Disable Post Views','alok' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="alok-ed-post-read-time" name="alok_ed_post_read_time" value="1" <?php if( $alok_ed_post_read_time ){ echo "checked='checked'";} ?>/>
                                <label for="alok-ed-post-read-time"><?php esc_html_e( 'Disable Post Read Time','alok' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="alok-ed-post-like-dislike" name="alok_ed_post_like_dislike" value="1" <?php if( $alok_ed_post_like_dislike ){ echo "checked='checked'";} ?>/>
                                <label for="alok-ed-post-like-dislike"><?php esc_html_e( 'Disable Post Like Dislike','alok' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="alok-ed-post-author-box" name="alok_ed_post_author_box" value="1" <?php if( $alok_ed_post_author_box ){ echo "checked='checked'";} ?>/>
                                <label for="alok-ed-post-author-box"><?php esc_html_e( 'Disable Post Author Box','alok' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="alok-ed-post-social-share" name="alok_ed_post_social_share" value="1" <?php if( $alok_ed_post_social_share ){ echo "checked='checked'";} ?>/>
                                <label for="alok-ed-post-social-share"><?php esc_html_e( 'Disable Post Social Share','alok' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="alok-ed-post-reaction" name="alok_ed_post_reaction" value="1" <?php if( $alok_ed_post_reaction ){ echo "checked='checked'";} ?>/>
                                <label for="alok-ed-post-reaction"><?php esc_html_e( 'Disable Post Reaction','alok' ); ?></label>

                            </div>

                            <div class="metabox-opt-wrap twp-checkbox-wrap">

                                <input type="checkbox" id="alok-ed-post-rating" name="alok_ed_post_rating" value="1" <?php if( $alok_ed_post_rating ){ echo "checked='checked'";} ?>/>
                                <label for="alok-ed-post-rating"><?php esc_html_e( 'Disable Post Rating','alok' ); ?></label>

                            </div>

                        </div>

                    </div>

                <?php endif; ?>
                
            </div>

        </div>  
            
    <?php }
endif;

// Save metabox value.
add_action( 'save_post', 'alok_save_post_meta' );

if( ! function_exists( 'alok_save_post_meta' ) ):

    function alok_save_post_meta( $post_id ) {

        global $post, $alok_post_sidebar_fields;

        if( !isset( $_POST[ 'alok_post_meta_nonce' ] ) || !wp_verify_nonce( sanitize_text_field( wp_unslash( $_POST['alok_post_meta_nonce'] ) ), basename( __FILE__ ) ) ){

            return;

        }

        if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ){

            return;

        }
            
        if( isset(  $_POST['post_type'] ) && 'page' == $_POST['post_type'] ) {  

            if ( !current_user_can( 'edit_page', $post_id ) ){  

                return $post_id;

            }

        }elseif( !current_user_can( 'edit_post', $post_id ) ) {

            return $post_id;

        }

        $twp_disable_ajax_load_next_post_old = esc_attr( get_post_meta( $post_id, 'twp_disable_ajax_load_next_post', true ) ); 

        $twp_disable_ajax_load_next_post_new = '';

        if( isset( $_POST['twp_disable_ajax_load_next_post'] ) ){
            $twp_disable_ajax_load_next_post_new = alok_sanitize_meta_pagination( wp_unslash( $_POST['twp_disable_ajax_load_next_post'] ) );
        }

        if( $twp_disable_ajax_load_next_post_new && $twp_disable_ajax_load_next_post_new != $twp_disable_ajax_load_next_post_old ){

            update_post_meta ( $post_id, 'twp_disable_ajax_load_next_post', $twp_disable_ajax_load_next_post_new );

        }elseif( '' == $twp_disable_ajax_load_next_post_new && $twp_disable_ajax_load_next_post_old ) {

            delete_post_meta( $post_id,'twp_disable_ajax_load_next_post', $twp_disable_ajax_load_next_post_old );

        }
        $alok_ed_post_views_old = absint( get_post_meta( $post_id, 'alok_ed_post_views', true ) );

        $alok_ed_post_views_new = '';
        if( isset( $_POST['alok_ed_post_views'] ) ){

            $alok_ed_post_views_new = absint( wp_unslash( $_POST['alok_ed_post_views'] ) );

        }

        if( $alok_ed_post_views_new && $alok_ed_post_views_new != $alok_ed_post_views_old ){

            update_post_meta ( $post_id, 'alok_ed_post_views', $alok_ed_post_views_new );

        }elseif( '' == $alok_ed_post_views_new && $alok_ed_post_views_old ) {

            delete_post_meta( $post_id,'alok_ed_post_views', $alok_ed_post_views_old );

        }

        $alok_ed_post_read_time_old = absint( get_post_meta( $post_id, 'alok_ed_post_read_time', true ) );

        $alok_ed_post_read_time_new = '';
        if( isset( $_POST['alok_ed_post_read_time'] ) ){

            $alok_ed_post_read_time_new = absint( wp_unslash( $_POST['alok_ed_post_read_time'] ) );

        }

        if( $alok_ed_post_read_time_new && $alok_ed_post_read_time_new != $alok_ed_post_read_time_old ){

            update_post_meta ( $post_id, 'alok_ed_post_read_time', $alok_ed_post_read_time_new );

        }elseif( '' == $alok_ed_post_read_time_new && $alok_ed_post_read_time_old ) {

            delete_post_meta( $post_id,'alok_ed_post_read_time', $alok_ed_post_read_time_old );

        }

        $alok_ed_post_like_dislike_old = absint( get_post_meta( $post_id, 'alok_ed_post_like_dislike', true ) );

        $alok_ed_post_like_dislike_new = '';
        if( isset( $_POST['alok_ed_post_like_dislike'] ) ){

            $alok_ed_post_like_dislike_new = absint( wp_unslash( $_POST['alok_ed_post_like_dislike'] ) );

        }

        if( $alok_ed_post_like_dislike_new && $alok_ed_post_like_dislike_new != $alok_ed_post_like_dislike_old ){

            update_post_meta ( $post_id, 'alok_ed_post_like_dislike', $alok_ed_post_like_dislike_new );

        }elseif( '' == $alok_ed_post_like_dislike_new && $alok_ed_post_like_dislike_old ) {

            delete_post_meta( $post_id,'alok_ed_post_like_dislike', $alok_ed_post_like_dislike_old );

        }

        $alok_ed_post_author_box_old = absint( get_post_meta( $post_id, 'alok_ed_post_author_box', true ) );

        $alok_ed_post_author_box_new = '';
        if( isset( $_POST['alok_ed_post_like_dislike'] ) ){

            $alok_ed_post_author_box_new = absint( wp_unslash( $_POST['alok_ed_post_like_dislike'] ) );

        }

        if( $alok_ed_post_author_box_new && $alok_ed_post_author_box_new != $alok_ed_post_author_box_old ){

            update_post_meta ( $post_id, 'alok_ed_post_author_box', $alok_ed_post_author_box_new );

        }elseif( '' == $alok_ed_post_author_box_new && $alok_ed_post_author_box_old ) {

            delete_post_meta( $post_id,'alok_ed_post_author_box', $alok_ed_post_author_box_old );

        }

        $alok_ed_post_social_share_old = absint( get_post_meta( $post_id, 'alok_ed_post_social_share', true ) );

        $alok_ed_post_social_share_new = '';
        if( isset( $_POST['alok_ed_post_social_share'] ) ){

            $alok_ed_post_social_share_new = absint( wp_unslash( $_POST['alok_ed_post_social_share'] ) );

        }

        if( $alok_ed_post_social_share_new && $alok_ed_post_social_share_new != $alok_ed_post_social_share_old ){

            update_post_meta ( $post_id, 'alok_ed_post_social_share', $alok_ed_post_social_share_new );

        }elseif( '' == $alok_ed_post_social_share_new && $alok_ed_post_social_share_old ) {

            delete_post_meta( $post_id,'alok_ed_post_social_share', $alok_ed_post_social_share_old );

        }

        $alok_ed_post_reaction_old = absint( get_post_meta( $post_id, 'alok_ed_post_reaction', true ) );

        $alok_ed_post_reaction_new = '';
        if( isset( $_POST['alok_ed_post_reaction'] ) ){

            $alok_ed_post_reaction_new = absint( wp_unslash( $_POST['alok_ed_post_reaction'] ) );

        }

        if( $alok_ed_post_reaction_new && $alok_ed_post_reaction_new != $alok_ed_post_reaction_old ){

            update_post_meta ( $post_id, 'alok_ed_post_reaction', $alok_ed_post_reaction_new );

        }elseif( '' == $alok_ed_post_reaction_new && $alok_ed_post_reaction_old ) {

            delete_post_meta( $post_id,'alok_ed_post_reaction', $alok_ed_post_reaction_old );

        }

        $alok_ed_post_rating_old = absint( get_post_meta( $post_id, 'alok_ed_post_rating', true ) );

        $alok_ed_post_rating_new = '';
        if( isset( $_POST['alok_ed_post_rating'] ) ){

            $alok_ed_post_rating_new = absint( wp_unslash( $_POST['alok_ed_post_rating'] ) );

        }

        if ( $alok_ed_post_rating_new && $alok_ed_post_rating_new != $alok_ed_post_rating_old ){

            update_post_meta ( $post_id, 'alok_ed_post_rating', $alok_ed_post_rating_new );

        }elseif( '' == $alok_ed_post_rating_new && $alok_ed_post_rating_old ) {

            delete_post_meta( $post_id,'alok_ed_post_rating', $alok_ed_post_rating_old );

        }


    }

endif;   