<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Alok
 * @since 1.0.0
 */
$alok_default = alok_get_default_theme_options();?>
 
 <article id="post-<?php the_ID(); ?>" <?php post_class('twp-archive-items theme-transform-zoom'); ?>>
    <div class="entry-wrapper">
        <?php if (has_post_thumbnail()) {
            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
            $featured_image = isset($featured_image[0]) ? $featured_image[0] : ''; ?>
            <div class="entry-thumbnail thumbnail-image-overlay">
                <a href="<?php the_permalink(); ?>" class="data-bg data-bg-large"
                   data-background="<?php echo esc_url($featured_image); ?>">
                </a>
            </div>
            <div class="post-content">

                <div class="entry-meta theme-meta-categories">

                    <?php alok_entry_footer($cats = true, $tags = false, $edits = false); ?>

                </div>

                <header class="entry-header">

                    <h3 class="entry-title entry-title-big">

                        <a href="<?php the_permalink(); ?>">

                            <?php the_title(); ?>

                        </a>
                    </h3>

                </header>

                <div class="entry-meta">

                    <?php
                    alok_posted_by();
                    ?>

                </div>

            </div>
        <?php } else { ?>
            <div class='no-image-post'>

            <div class="no-image-excerpt">
                
                <svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path fill="currentColor" d="m10 7l-2 4h3v6H5v-6l2-4h3m8 0l-2 4h3v6h-6v-6l2-4h3Z"/></svg>
            
            <?php the_excerpt(); ?>

            </div>

            <div class="post-content">

                <div class="entry-meta theme-meta-categories">

                    <?php alok_entry_footer($cats = true, $tags = false, $edits = false); ?>

                </div>

                <header class="entry-header">

                    <h3 class="entry-title entry-title-big">

                        <a href="<?php the_permalink(); ?>">

                            <?php the_title(); ?>

                        </a>
                    </h3>

                </header>

                <div class="entry-meta">

                    <?php
                    alok_posted_by();
                    ?>

                </div>

            </div>
            </div>


        <?php } ?>


    </div>
</article>