<?php
/**
 * Header Layout 1
 *
 * @package Alok
 */
$alok_default = alok_get_default_theme_options();
$ed_desktop_menu = get_theme_mod( 'ed_desktop_menu',$alok_default['ed_desktop_menu'] );
?>


<div class="wrapper-small">
    <div class="wrapper-inner">

        <div class="column column-12">

           <div class="header-component-container">
                <div class="header-component header-component-left">
                    <div class="header-titles">

                        <?php
                        // Site title or logo.
                        alok_site_logo();
                        // Site description.
                        alok_site_description();
                        ?>

                    </div><!-- .header-titles -->
                </div><!-- .header-component-left -->

                <div class="header-component header-component-center">
                    <?php if( $ed_desktop_menu ){ ?>

                        <div class="navbar-components">
                            <div class="site-navigation">
                                <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'alok'); ?>" role="navigation">

                                    <ul class="primary-menu">

                                        <?php
                                        if( has_nav_menu('alok-primary-menu') ){

                                            wp_nav_menu(
                                                array(
                                                    'container' => '',
                                                    'items_wrap' => '%3$s',
                                                    'theme_location' => 'alok-primary-menu',
                                                    'depth' => 3,
                                                )
                                            );

                                        }else{

                                            wp_list_pages(
                                                array(
                                                    'match_menu_classes' => true,
                                                    'show_sub_menu_icons' => true,
                                                    'title_li' => false,
                                                    'walker' => new Alok_Walker_Page(),
                                                )
                                            );

                                        } ?>

                                    </ul>

                                </nav><!-- .primary-menu-wrapper -->
                            </div><!-- .site-navigation -->
                        </div>
                    <?php } ?>
                </div>

                <div class="header-component header-component-right">

                        <?php if( has_nav_menu('alok-social-menu') ){ ?>

                            <div id="social-nav" class="social-navigation">

                                <?php
                                wp_nav_menu(array(
                                    'theme_location' => 'alok-social-menu',
                                    'link_before' => '<span class="screen-reader-text">',
                                    'link_after' => '</span>',
                                    'container' => 'div',
                                    'container_class' => 'social-menu',
                                    'depth' => 1,
                                )); ?>

                            </div>

                        <?php } ?>
                    <div class="navbar-controls hide-no-js">
                        <?php 
                        $ed_header_search = get_theme_mod('ed_header_search', $alok_default['ed_header_search']);
                        if ($ed_header_search) { ?>

                            <button type="button" class="navbar-control theme-action-control navbar-control-search">
                                <span class="action-control-trigger" tabindex="-1">
                                    <?php alok_the_theme_svg('search'); ?>
                                </span>
                            </button>

                        <?php } ?>

                        <button type="button" class="navbar-control theme-action-control navbar-control-offcanvas">
                            <span class="action-control-trigger" tabindex="-1">
                                <?php alok_the_theme_svg('menu'); ?>
                            </span>
                        </button>

                    </div>

                </div><!-- .header-component-right -->
           </div>

        </div>
    </div>
</div>
